package com.steerinfo.ems.tcmdatasourcetimegran.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.tcmdatasourcetimegran.model.TCmDatasourceTimegran;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * TCmDatasourceTimegran服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-15 09:10
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：generator
 * 参考：
 * 描述：TCmDatasourceTimegran服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITCmDatasourceTimegranService extends IBaseService<TCmDatasourceTimegran, String>{
    Set<String> uniqueKey();

    /**
	 * 获得时间粒度列表（计量点数据录入）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmCalpointValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-实绩产量管理页面）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmWorkprocProductValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-平衡表数据维护页面，时间粒度下拉框数据）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmBalanceValue();
	
	/**
	 * 获得时间粒度列表（能源平衡管理-工序与原材料数据维护页面，时间粒度下拉框数据）
	 * 
	 * @return
	 */
	List<Map> getTimegranRmWorkprocMaterialValue();

    /**
     * 获得时间粒度列表（能源平衡管理-计划产量管理页面，时间粒度下拉框数据）
     * @return
     */

    List<Map> getTimegranRmTrmworkprocproductvalue();
    /**
     * 获得时间粒度列表 (能源实际管理-供需项目数据维护)
     * @return
     */
    List<Map> getTimegranRmTrmactvalue();

    /**
     * 获得时间粒度(能源综合分析-指标管理-指标数据维护)
     * @return
     */
    List<Map> getTimegranRmindexvalue();
}